﻿@model SSTC.Entity.User

@{
    ViewBag.Title = "Dodawanie użytkownika";
}

<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>

<script>
    function changeRowForContract() {  
        $("#next").attr("type", "submit");
        var inpObj = document.getElementById("login");
        if (!inpObj.checkValidity()) {
            document.getElementById("login").innerHTML = inpObj.validationMessage;
        }
        else if(!document.getElementById("name").checkValidity()) {
            document.getElementById("name").innerHTML = document.getElementById("name").validationMessage;
        }
            else if(!document.getElementById("surname").checkValidity()) {
            document.getElementById("surname").innerHTML = document.getElementById("surname").validationMessage;
        }
            else if(!document.getElementById("mail").checkValidity()) {
            document.getElementById("mail").innerHTML = document.getElementById("mail").validationMessage;
        }
        else {
            $("#next").attr("type", "button");
            $("#newUser").toggle();
            $("#newContract").toggle();
        }
    }
</script>
<script>
    function clickNoLimit() {
        if ($("#noLimit").is(":checked")) {
            $("#dateOfContractEnd").attr("type", "");
            $("#dateOfContractEnd").attr("value", "2999-31-31");
            $("#dateOfContractEnd").attr("ReadOnly", "true");
        }
        else {
            $("#dateOfContractEnd").removeAttr("value");
            $("#dateOfContractEnd").removeAttr("ReadOnly");
            $("#dateOfContractEnd").attr("type", "date");
        }
    }
</script>
<div align="center">
    @*@using (@Html.BeginForm()) {*@
    <table>
        <tr id=@("newUser")>
            <td>
                @*@using (@Html.BeginForm("Login", "Home", FormMethod.Post))*@
                <form class="form-signin" _lpchecked="1" method="post">

                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)
                    <font color="red" class="message">@TempData["Message"]</font><br />
                    <h1 class="h3 mb-3 font-weight-normal">Dane pracownika:</h1>

                    <p align="left" style="margin-left:20px; font-weight: bold;">Login:</p>
                    <label for="login" class="sr-only">Nazwa użytkownika</label>
                    @Html.TextBoxFor(a => a.Login, new { @class = "form-control", id = "login", required = "true", value = Model.Login })
                    @Html.ValidationMessageFor(a => a.Login)
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Imie:</p>
                    <label for="name" class="sr-only">Imie</label>
                    @Html.TextBoxFor(a => a.Name, new { @class = "form-control", id = "name", required = "true", value = Model.Name })
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Nazwisko:</p>
                    @Html.TextBoxFor(a => a.Surname, new { @class = "form-control", id = "surname", required = "true", value = Model.Surname })
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Adres E-mail:</p>
                    @Html.TextBoxFor(a => a.Mail, new { @class = "form-control", id = "mail", required = "true", type="email", value = Model.Mail })
                    <br />
                    <input class="btn btn-lg btn-primary btn-block" type="submit" id="next" value="Dalej" formvalidate onclick="changeRowForContract()" />
                @*</form>*@
            </td>
        </tr>
        <tr id=@("newContract") style="display:none">
            <td>
                @*@using (@Html.BeginForm("Login", "Home", FormMethod.Post))*@
                @*<form class="form-signin" _lpchecked="1" method="post">*@

                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)
                    <font color="red" class="message">@TempData["Message"]</font><br />
                    <h1 class="h3 mb-3 font-weight-normal">Dane umowy:</h1>

                    <p align="left" style="margin-left:20px; font-weight: bold;">Data podpisania/zmiany:</p>
                    <label for="dateOfContract" class="sr-only">Data podpisania/zmiany:</label>
                    @Html.TextBoxFor(a => a.Contract.DateOfContract, new { @class = "form-control", id = "dateOfContract", required = "true", type = "date" })
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Data końca umowy:</p>
                    <label for="dateOfContractEnd" class="sr-only">Data końca umowy:</label>
                    @Html.TextBoxFor(a => a.Contract.DateOfContractEnd, new { @class = "form-control", id = "dateOfContractEnd", required = "true", type = "date" })
                    <input type="checkbox" id="noLimit" name="noLimit" onclick="clickNoLimit()">
                    <label for="noLimit">Czas nieokreślony</label><br>
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Wymiar godzinowy:</p>
                    @Html.TextBoxFor(a => a.Contract.HoursDaily, new { @class = "form-control", id = "hoursDaily", required = "true"})
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Kwota brotto umowy:</p>
                    @Html.TextBoxFor(a => a.Contract.GrossAmount, new { @class = "form-control", id = "grossAmount", required = "true" })
                    <br />
                    <p align="left" style="margin-left:20px; font-weight: bold;">Stawka projektowa (%):</p>
                    @Html.TextBoxFor(a => a.Contract.HourlyRateProject, new { @class = "form-control", id = "hourlyRateProject", required = "true" })
                    <br />
                    <input class="btn btn-lg btn-primary btn-block" type="button" value="Wstecz" onclick="changeRowForContract()" />
                    <input class="btn btn-lg btn-primary btn-block btn-success" type="submit" value="Zapisz" />
                </form>
            </td>
        </tr>
    </table>
 
</div>

